Subject: Re: [PATCH net-next] tcp: auto corking

From: Rick Jones <[email-masked]>
Date: Fri, 06 Dec 2013 13:34:28 -0800

On 12/06/2013 08:06 AM, Rick Jones wrote:
> I was wondering why Nagle didn't catch these things as well.  The
> netperf command line Eric provided though didn't include the
> test-specific -D option that would have disabled Nagle.  At least not
> unless the "super_netperf" wrapper was adding it.
>
> So, why doesn't Nagle catch what is presumably a sub-MSS send while
> there is data outstanding on the connection?

Because this is operating "above" (as it were) Nagle and is looking only 
to try to get the successive small sends into a smaller number of skbs 
yes? So that when there is either no data outstanding, or an MSS's worth 
of data it will be in a small(ish) number of skbs not a long chain of them.

rick jones